require "util"
require "story"
require "defines"

game.onevent(defines.events.onbuiltentity, function(event)
	local player = game.getplayer(event.playerindex)
	
	if 
	event.createdentity.name == "basic-transport-belt" or   		
	event.createdentity.name == "express-transport-belt" or
	event.createdentity.name == "fast-transport-belt" or
	event.createdentity.name == "basic-transport-belt-to-ground" or
	event.createdentity.name == "express-transport-belt-to-ground" or
	event.createdentity.name == "fast-transport-belt-to-ground" or
	event.createdentity.name == "basic-splitter" or
	event.createdentity.name == "express-splitter" or
	event.createdentity.name == "fast-splitter"
	then
		player.print({"", "The perpetual motion device has stoped working in the ", game.getlocaliseditemname(event.createdentity.name), "! (because magnets)"})
		event.createdentity.active = false
	end
end)